cern:
  loadbalancer:
    registry:
      httpPoolID: <path:kv/data/kubernetes/services/kops-registry/gpn/cern/loadbalancer#httpPoolID>
      httpsPoolID: <path:kv/data/kubernetes/services/kops-registry/gpn/cern/loadbalancer#httpsPoolID>
  oidc:
    enabled: true
    clientID: <path:kv/data/kubernetes/services/kops-registry/gpn/cern/oidc#clientID>
    clientSecret: <path:kv/data/kubernetes/services/kops-registry/gpn/cern/oidc#clientSecret>
    endpoint: https://auth.cern.ch/auth/realms/cern
  protected:
    enabled: true
    repos:
      - acc
      - acc-gpn
      - jeedy
      - jeedy-sso
  authorized:
    enabled: true
    publicKey: <path:kv/data/kubernetes/services/kops-registry/gpn/cern/protected-repo-auth#publicKey>
    repos:
      - docker.io
      - gcr.io
      - ghcr.io
      - gitlab-registry.cern.ch
      - k8s.gcr.io
      - mcr.microsoft.com
      - nvcr.io
      - quay.io
      - registry.k8s.io
  replicationrules: true
  tls:
    acme:
      server: https://acme-v02.api.letsencrypt.org/directory
  lecertsync: true
  cverules: true
harbor:
  chartmuseum:
    replicas: 0
  core:
    replicas: 6
    secret: "<path:kv/data/kubernetes/services/kops-registry/gpn/harbor/core#secret>"
    tokenCert: "<path:kv/data/kubernetes/services/kops-registry/gpn/harbor/core#tokenCert>"
    tokenKey: "<path:kv/data/kubernetes/services/kops-registry/gpn/harbor/core#tokenKey>"
    xsrfKey: "<path:kv/data/kubernetes/services/kops-registry/gpn/harbor/core#xsrfKey>"
  database:
    external:
      host: dbod-harbordb-prod.cern.ch
      password: <path:kv/data/kubernetes/services/kops-registry/gpn-prod/harbor/database#password>
      port: "6621"
      sslmode: require
      username: admin
    maxIdleConns: 5
    maxOpenConns: 20
    type: external
  expose:
    ingress:
      annotations:
        cert-manager.io/cluster-issuer: letsencrypt
        ingress.kubernetes.io/proxy-body-size: "0"
        ingress.kubernetes.io/ssl-redirect: "true"
        nginx.ingress.kubernetes.io/proxy-body-size: "0"
        nginx.ingress.kubernetes.io/proxy-request-buffering: "off"
        nginx.ingress.kubernetes.io/ssl-redirect: "true"
      hosts:
        core: registry.cern.ch
        notary: notary.cern.ch
    tls:
      certSource: secret
      enabled: true
      secret:
        secretName: harbor-harbor-ingress
    type: ingress
  externalURL: https://registry.cern.ch
  harborAdminPassword: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor#harborAdminPassword>
  jobservice:
    replicas: 6
    secret: "<path:kv/data/kubernetes/services/kops-registry/gpn/harbor/jobservice#secret>"
  logLevel: info
  metrics:
    enabled: true
  persistence:
    imageChartStorage:
      s3:
        accesskey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/persistence/s3#accesskey>
        bucket: registry
        secretkey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/persistence/s3#secretkey>
      type: s3
    persistentVolumeClaim:
      redis:
        storageClass: manila-meyrin-cephfs-delete
        size: 5Gi
      trivy:
        storageClass: manila-meyrin-cephfs-delete
        size: 10Gi
  portal:
    replicas: 3
  registry:
    credentials:
      htpasswdString: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/registry#htpasswd>
      password: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/registry#password>
      username: admin
    replicas: 3
    secret: "<path:kv/data/kubernetes/services/kops-registry/gpn/harbor/registry#secret>"
  secretKey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor#secretKey>
  trivy:
    replicas: 3
  exporter:
    replicas: 1
gcSchedule: '{"parameters":{},"schedule":{"cron":"0 0 8 * * *","type":"Custom"}}'
systemSettings: '{"robot_name_prefix":"robot-","session_timeout":240}'

registryBackup:
  enabled: true
  fromBucket: "s3-gabe://registry"
  toBucket: "s3-nethub://registry-backup"
  s3Nethub:
    accesskey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/persistence/s3nethub#accesskey>
    secretkey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/persistence/s3nethub#secretkey>
  s3Kubernetes:
    accesskey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/persistence/s3kubernetes#accesskey>
    secretkey: <path:kv/data/kubernetes/services/kops-registry/gpn/harbor/persistence/s3kubernetes#secretkey>
